(use-modules (gnu packages)
             (gnu packages autotools)
             (gnu packages guile)
             (gnu packages guile-xyz)
             (gnu packages pkg-config)
             (gnu packages texinfo)
             (guix build-system gnu)
             (guix download)
             (guix gexp)
             ((guix licenses) #:prefix license:)
             (guix packages)
             (srfi srfi-1))

(package
 (name "guile-termenv")
 (version "0.1")
 (source
  (local-file
   (dirname (current-filename))
   #:recursive? #t
   #:select? (lambda (file stat)
		           (not (any (lambda (my-string)
			                     (string-contains file my-string))
			                   (list ".git" ".dir-locals.el" "guix.scm"))))))
 (build-system gnu-build-system)
 (arguments
  (list
   #:make-flags
   #~(list "GUILE_AUTO_COMPILE=0")
   #:phases
   #~(modify-phases %standard-phases
                    (add-before 'bootstrap 'hall
                                (lambda _
	                                (system* "hall" "build" "-x")))
	                  (replace 'bootstrap
                             (lambda _
	                             (system* "autoreconf" "-vif"))))))
 (native-inputs (list autoconf
		                  automake
		                  guile-hall
		                  pkg-config
		                  texinfo))
 (inputs (list guile-3.0))
 (synopsis "Guile port of termenv")
 (description
  "A library to provide easy control of terminals from Guile using terminal control codes.")
 (home-page "https://git.solarpunk.moe/vv/guile-termenv")
 (license license:gpl3+))

